/*************** My_header.h ****************/

#define BUS_NUMBER 		1
#define DEVICE_NUMBER 	0
#define FUNCTION_NUMBER 0
#define BIT_31 			0x8000
#define Type 			0x0
#define PCI_SLOT_P3 	0x0004
#define PCI_SLOT_P4 	0x0008
#define PCI_SLOT_P5 	0x0010
#define PCI_SLOT_P6 	0x0020
#define Memory_Window 	0xE0000000
#define IO_Window     	0xEEFE0000


#define PCI_SLOT		PCI_SLOT_P4 //change assignement to reflect position of the card (hawk-35) in the system (Eagle-35)


/* Helper macros 
 * usage:
 *  P0.H = HI(UART_THR);
 *  P0.L = LO(UART_THR);
 */

#define LO(con32) ((con32) & 0xFFFF)
#define lo(con32) ((con32) & 0xFFFF)
#define HI(con32) (((con32) >> 16) & 0xFFFF)
#define hi(con32) (((con32) >> 16) & 0xFFFF)

